;	ADC_0 = 
;	ADC_1 =  ()
;	ADC_2 = 
;
;











.include 	"m32def.inc"		;  ATMega32


.def	Temp=R16
.def	Temp1=R17
.def	Temp2=R18
.def	Temp3=R19
.def	Temp4=R20			;   /  SREG
.def	Temp5=R21 			; 
.def	Temp6=R22			; 		
.def	Temp7=R23			; 		
.def	Temp8=R24
.def	Temp9=R25



;******************************************************************************
; ******
;******************************************************************************

.dseg					; 

ADC_len: .byte 2			;  2    =       



ch_count: .byte 1			;     (    0,1,2,3 ) -    

curr_ch: .byte 1			;     (    0,1,2 )

ch_phase: .byte 1			;   (     300 )

pack_len: .byte 2			;    



;******************************************************************************
; 
;******************************************************************************

.equ	ADC_ADMUX= (0<<MUX0)

.equ	ADC_ADCSRA= (1<<ADEN)|(1<<ADSC)|(1<<ADIE)|(7<<ADPS0)

.EQU	Constanta_1= 0x3E8 			; 1000

.EQU	pause_len= 0x258 			; 600

.EQU	general_len= 0x9C40			;    ppm (  " ") ( 20000  )





;******************************************************************************
; ******
;******************************************************************************
;  
;******************************************************************************

.cseg	


		

.org 0					; External Pin, Power-on Reset, Brown-out Reset, and Watchdog Reset
rjmp RESET				



.org   OC1Aaddr				; Timer/Counter1 Compare Match A
rjmp OCR1A_COMP




;	.org ADCCaddr			; ADC Conversion Complete (    !!! )
;	rjmp ADC_Conversion




.org INT_VECTORS_SIZE			;   


;******************************************************************************
; 
;******************************************************************************

reset:					;  



	cli				;    


	ldi Temp,low(RamEnd)		;  	
	out SPL,Temp			;










	
	ldi Temp,0b00000000		;   "A" (0-, 1-)
	out DDRA,Temp			; 0000000x - ""  PA0
					; 000000x0 - ""  PA1
					; 00000x00 - ""  PA2
				







	ldi Temp,0b00100000		;   "D" (0-, 1-)
	out DDRD,Temp			; 0000000 - ""  
					 
		
	ldi Temp,0b00000000		;     "D"
	out PortD,Temp			; 









	ldi Temp,0b00001111		;   "C" (0-, 1-)
	out DDRC,Temp			; 0000xxxx - ""  

				
	ldi Temp,0b00000000		;     "C"
	out PortC,Temp			; 









	RCALL	LCD_INIT		;  


	rjmp out_disp			; !!!!!!!!!!!!!!!!!!!!!!!!!!!




	sei				;   
	


;*******************************************************************************************************************************
;  
;*******************************************************************************************************************************

Main:							;  



	Rjmp Main





;*******************************************************************************************************************************
;    
;*******************************************************************************************************************************

OCR1A_COMP:




	RETI					;   


;*******************************************************************************************************************************
;      
;*******************************************************************************************************************************

out_disp:



	LDI R16	, 0x00		;   '0'		
	RCALL LCD_CHAR						
			

loop_disp:

	rjmp loop_disp

;*******************************************************************************************************************************
; ***
;*******************************************************************************************************************************

.include "lcd5110mini.asm"		;   	
